diff -ur hyperv_w10_20150906/dsdt.dsl hyperv_w10_1703/dsdt.dsl
--- hyperv_w10_20150906/dsdt.dsl	2017-04-23 19:37:21.936455000 +0200
+++ hyperv_w10_1703/dsdt.dsl	2017-04-23 19:37:30.306539000 +0200
@@ -2489,266 +2495,1048 @@
             }
         }
 
-        Scope (PCI0)
+        Processor (P065, 0x41, 0x00000000, 0x00)
         {
-            Method (_INI, 0, NotSerialized)  // _INI: Initialize
+            Name (PNUM, 0x41)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
             {
-                If (MCTH (\_OS, "Microsoft Windows NT"))
-                {
-                    OSFL = 0x00
-                }
+                Return (PSTA (PNUM))
             }
+        }
 
-            Name (CRS, ResourceTemplate ()
+        Processor (P066, 0x42, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x42)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
             {
-                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
-                    0x0000000000000000, // Granularity
-                    0x000000AAAAAAAAAA, // Range Minimum
-                    0x000000AAAAAAAAAB, // Range Maximum
-                    0x0000000000000000, // Translation Offset
-                    0x000000AAAAAAAAAC, // Length
-                    ,, , AddressRangeMemory, TypeStatic)
-                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
-                    0x0000000000000000, // Granularity
-                    0x0000007C80000000, // Range Minimum
-                    0x0000007CFFFFFFFF, // Range Maximum
-                    0x0000000000000000, // Translation Offset
-                    0x0000000080000000, // Length
-                    ,, , AddressRangeMemory, TypeStatic)
-                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
-                    0x0000000000000000, // Granularity
-                    0x0000007D00000000, // Range Minimum
-                    0x0000007D7FFFFFFF, // Range Maximum
-                    0x0000000000000000, // Translation Offset
-                    0x0000000080000000, // Length
-                    ,, , AddressRangeMemory, TypeStatic)
-                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
-                    0x0000000000000000, // Granularity
-                    0x0000007D80000000, // Range Minimum
-                    0x0000007DFFFFFFFF, // Range Maximum
-                    0x0000000000000000, // Translation Offset
-                    0x0000000080000000, // Length
-                    ,, , AddressRangeMemory, TypeStatic)
-                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
-                    0x0000000000000000, // Granularity
-                    0x0000007E00000000, // Range Minimum
-                    0x0000007E7FFFFFFF, // Range Maximum
-                    0x0000000000000000, // Translation Offset
-                    0x0000000080000000, // Length
-                    ,, , AddressRangeMemory, TypeStatic)
-                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
-                    0x0000000000000000, // Granularity
-                    0x0000007E80000000, // Range Minimum
-                    0x0000007EFFFFFFFF, // Range Maximum
-                    0x0000000000000000, // Translation Offset
-                    0x0000000080000000, // Length
-                    ,, , AddressRangeMemory, TypeStatic)
-                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
-                    0x0000000000000000, // Granularity
-                    0x0000007F00000000, // Range Minimum
-                    0x0000007F7FFFFFFF, // Range Maximum
-                    0x0000000000000000, // Translation Offset
-                    0x0000000080000000, // Length
-                    ,, , AddressRangeMemory, TypeStatic)
-                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
-                    0x0000000000000000, // Granularity
-                    0x000000AAAAAAAAAA, // Range Minimum
-                    0x000000AAAAAAAAAB, // Range Maximum
-                    0x0000000000000000, // Translation Offset
-                    0x000000AAAAAAAAAC, // Length
-                    ,, , AddressRangeMemory, TypeStatic)
-                WordBusNumber (ResourceProducer, MinFixed, MaxFixed, PosDecode,
-                    0x0000,             // Granularity
-                    0x0000,             // Range Minimum
-                    0x00FF,             // Range Maximum
-                    0x0000,             // Translation Offset
-                    0x0100,             // Length
-                    ,, )
-                IO (Decode16,
-                    0x0CF8,             // Range Minimum
-                    0x0CF8,             // Range Maximum
-                    0x01,               // Alignment
-                    0x08,               // Length
-                    )
-                WordIO (ResourceProducer, MinFixed, MaxFixed, PosDecode, EntireRange,
-                    0x0000,             // Granularity
-                    0x0000,             // Range Minimum
-                    0x0CF7,             // Range Maximum
-                    0x0000,             // Translation Offset
-                    0x0CF8,             // Length
-                    ,, , TypeStatic, DenseTranslation)
-                WordIO (ResourceProducer, MinFixed, MaxFixed, PosDecode, EntireRange,
-                    0x0000,             // Granularity
-                    0x0D00,             // Range Minimum
-                    0xFFFF,             // Range Maximum
-                    0x0000,             // Translation Offset
-                    0xF300,             // Length
-                    ,, , TypeStatic, DenseTranslation)
-                DWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
-                    0x00000000,         // Granularity
-                    0x000A0000,         // Range Minimum
-                    0x000BFFFF,         // Range Maximum
-                    0x00000000,         // Translation Offset
-                    0x00020000,         // Length
-                    ,, , AddressRangeMemory, TypeStatic)
-                DWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
-                    0x00000000,         // Granularity
-                    0x00000000,         // Range Minimum
-                    0x00000000,         // Range Maximum
-                    0x00000000,         // Translation Offset
-                    0x00000000,         // Length
-                    ,, _Y11, AddressRangeMemory, TypeStatic)
-                DWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
-                    0x00000000,         // Granularity
-                    0x00000000,         // Range Minimum
-                    0x00000000,         // Range Maximum
-                    0x00000000,         // Translation Offset
-                    0x00000000,         // Length
-                    ,, _Y12, AddressRangeMemory, TypeStatic)
-            })
-            CreateDWordField (CRS, \_SB.PCI0._Y11._MIN, MIN5)  // _MIN: Minimum Base Address
-            CreateDWordField (CRS, \_SB.PCI0._Y11._MAX, MAX5)  // _MAX: Maximum Base Address
-            CreateDWordField (CRS, \_SB.PCI0._Y11._LEN, LEN5)  // _LEN: Length
-            CreateDWordField (CRS, \_SB.PCI0._Y12._MIN, MIN6)  // _MIN: Minimum Base Address
-            CreateDWordField (CRS, \_SB.PCI0._Y12._MAX, MAX6)  // _MAX: Maximum Base Address
-            CreateDWordField (CRS, \_SB.PCI0._Y12._LEN, LEN6)  // _LEN: Length
-            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P067, 0x43, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x43)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
             {
-                MIN5 = MG1B /* \MG1B */
-                LEN5 = MG1L /* \MG1L */
-                Local0 = MG1L /* \MG1L */
-                If (Local0)
-                {
-                    MAX5 = (MIN5 + Local0--)
-                }
+                Return (PSTA (PNUM))
+            }
+        }
 
-                MIN6 = MG2B /* \MG2B */
-                LEN6 = MG2L /* \MG2L */
-                Local0 = MG2L /* \MG2L */
-                MAX6 = (MIN6 + Local0--)
-                Local0 = 0x08
-                Local1 = 0x00
-                If ((WIN6 == 0x00))
-                {
-                    While (Local0)
-                    {
-                        CRS [Local1] = 0x84
-                        Local1 += 0x2E
-                        Local0--
-                    }
-                }
-                Else
-                {
-                    Name (TBUF, Buffer (0x28)
-                    {
-                        /* 0000 */  0xAA, 0xBB, 0xCC, 0xDD, 0xEE, 0xFF, 0x11, 0x22,  /* ......." */
-                        /* 0008 */  0xAA, 0xBB, 0xCC, 0xDD, 0xEE, 0xFF, 0x33, 0x44,  /* ......3D */
-                        /* 0010 */  0xAA, 0xBB, 0xCC, 0xDD, 0xEE, 0xFF, 0x55, 0x66,  /* ......Uf */
-                        /* 0018 */  0xAA, 0xBB, 0xCC, 0xDD, 0xEE, 0xFF, 0x77, 0x88,  /* ......w. */
-                        /* 0020 */  0xAA, 0xBB, 0xCC, 0xDD                           /* .... */
-                    })
-                    CreateQWordField (TBUF, 0x00, RMIN)
-                    CreateQWordField (TBUF, 0x08, RMAX)
-                    CreateQWordField (TBUF, 0x10, VSTR)
-                    CreateDWordField (TBUF, 0x10, VSTL)
-                    CreateDWordField (TBUF, 0x14, VSTH)
-                    CreateByteField (TBUF, 0x10, VST0)
-                    CreateByteField (TBUF, 0x11, VST1)
-                    CreateByteField (TBUF, 0x12, VST2)
-                    CreateByteField (TBUF, 0x13, VST3)
-                    CreateByteField (TBUF, 0x14, VST4)
-                    CreateByteField (TBUF, 0x15, VST5)
-                    CreateByteField (TBUF, 0x16, VST6)
-                    CreateByteField (TBUF, 0x17, VST7)
-                    CreateQWordField (TBUF, 0x18, TLEN)
-                    CreateDWordField (TBUF, 0x20, RLEN)
-                    VSTR = HMIB /* \HMIB */
-                    Local2 = (VSTL >> 0x0C)
-                    VSTL <<= 0x14
-                    VSTH <<= 0x14
-                    VSTH |= Local2
-                    RMIN = VSTR /* \_SB_.PCI0._CRS.VSTR */
-                    VSTR = HMIL /* \HMIL */
-                    Local2 = (VSTL >> 0x0C)
-                    VSTL <<= 0x14
-                    VSTH <<= 0x14
-                    VSTH |= Local2
-                    TLEN = VSTR /* \_SB_.PCI0._CRS.VSTR */
-                    While (Local0)
-                    {
-                        VSTR = TLEN /* \_SB_.PCI0._CRS.TLEN */
-                        If (((VSTL == 0x00) && (VSTH == 0x00)))
-                        {
-                            CRS [Local1] = 0x84
-                        }
-                        Else
-                        {
-                            VSTR = RMIN /* \_SB_.PCI0._CRS.RMIN */
-                            CRS [(Local1 + 0x0E)] = VST0 /* \_SB_.PCI0._CRS.VST0 */
-                            CRS [(Local1 + 0x0F)] = VST1 /* \_SB_.PCI0._CRS.VST1 */
-                            CRS [(Local1 + 0x10)] = VST2 /* \_SB_.PCI0._CRS.VST2 */
-                            CRS [(Local1 + 0x11)] = VST3 /* \_SB_.PCI0._CRS.VST3 */
-                            CRS [(Local1 + 0x12)] = VST4 /* \_SB_.PCI0._CRS.VST4 */
-                            CRS [(Local1 + 0x13)] = VST5 /* \_SB_.PCI0._CRS.VST5 */
-                            CRS [(Local1 + 0x14)] = VST6 /* \_SB_.PCI0._CRS.VST6 */
-                            CRS [(Local1 + 0x15)] = VST7 /* \_SB_.PCI0._CRS.VST7 */
-                            VSTR = TLEN /* \_SB_.PCI0._CRS.TLEN */
-                            If (((VSTH == 0x00) && (VSTL < 0x80000000)))
-                            {
-                                RLEN = VSTL /* \_SB_.PCI0._CRS.VSTL */
-                            }
-                            Else
-                            {
-                                RLEN = 0x80000000
-                            }
+        Processor (P068, 0x44, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x44)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
 
-                            If (((Local2 = (VSTL - RLEN)) /* \_SB_.PCI0._CRS.RLEN */ > VSTL))
-                            {
-                                VSTH--
-                            }
+        Processor (P069, 0x45, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x45)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
 
-                            VSTL = Local2
-                            TLEN = VSTR /* \_SB_.PCI0._CRS.VSTR */
-                            VSTR = RMIN /* \_SB_.PCI0._CRS.RMIN */
-                            If (((Local2 = (VSTL + RLEN)) /* \_SB_.PCI0._CRS.RLEN */ < VSTL))
-                            {
-                                VSTH++
-                            }
+        Processor (P070, 0x46, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x46)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
 
-                            VSTL = Local2
-                            RMIN = VSTR /* \_SB_.PCI0._CRS.VSTR */
-                            If (((Local2 = (VSTL - 0x01)) > VSTL))
-                            {
-                                VSTH--
-                            }
+        Processor (P071, 0x47, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x47)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
 
-                            VSTL = Local2
-                            RMAX = VSTR /* \_SB_.PCI0._CRS.VSTR */
-                            VSTR = RMAX /* \_SB_.PCI0._CRS.RMAX */
-                            CRS [(Local1 + 0x16)] = VST0 /* \_SB_.PCI0._CRS.VST0 */
-                            CRS [(Local1 + 0x17)] = VST1 /* \_SB_.PCI0._CRS.VST1 */
-                            CRS [(Local1 + 0x18)] = VST2 /* \_SB_.PCI0._CRS.VST2 */
-                            CRS [(Local1 + 0x19)] = VST3 /* \_SB_.PCI0._CRS.VST3 */
-                            CRS [(Local1 + 0x1A)] = VST4 /* \_SB_.PCI0._CRS.VST4 */
-                            CRS [(Local1 + 0x1B)] = VST5 /* \_SB_.PCI0._CRS.VST5 */
-                            CRS [(Local1 + 0x1C)] = VST6 /* \_SB_.PCI0._CRS.VST6 */
-                            CRS [(Local1 + 0x1D)] = VST7 /* \_SB_.PCI0._CRS.VST7 */
-                            VSTR = RLEN /* \_SB_.PCI0._CRS.RLEN */
-                            CRS [(Local1 + 0x26)] = VST0 /* \_SB_.PCI0._CRS.VST0 */
-                            CRS [(Local1 + 0x27)] = VST1 /* \_SB_.PCI0._CRS.VST1 */
-                            CRS [(Local1 + 0x28)] = VST2 /* \_SB_.PCI0._CRS.VST2 */
-                            CRS [(Local1 + 0x29)] = VST3 /* \_SB_.PCI0._CRS.VST3 */
-                            CRS [(Local1 + 0x2A)] = VST4 /* \_SB_.PCI0._CRS.VST4 */
-                            CRS [(Local1 + 0x2B)] = VST5 /* \_SB_.PCI0._CRS.VST5 */
-                            CRS [(Local1 + 0x2C)] = VST6 /* \_SB_.PCI0._CRS.VST6 */
-                            CRS [(Local1 + 0x2D)] = VST7 /* \_SB_.PCI0._CRS.VST7 */
-                        }
+        Processor (P072, 0x48, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x48)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
 
-                        Local1 += 0x2E
-                        Local0--
-                    }
-                }
+        Processor (P073, 0x49, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x49)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P074, 0x4A, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x4A)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P075, 0x4B, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x4B)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P076, 0x4C, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x4C)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
 
+        Processor (P077, 0x4D, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x4D)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P078, 0x4E, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x4E)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P079, 0x4F, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x4F)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P080, 0x50, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x50)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P081, 0x51, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x51)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P082, 0x52, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x52)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P083, 0x53, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x53)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P084, 0x54, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x54)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P085, 0x55, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x55)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P086, 0x56, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x56)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P087, 0x57, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x57)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P088, 0x58, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x58)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P089, 0x59, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x59)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P090, 0x5A, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x5A)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P091, 0x5B, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x5B)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P092, 0x5C, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x5C)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P093, 0x5D, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x5D)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P094, 0x5E, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x5E)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P095, 0x5F, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x5F)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P096, 0x60, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x60)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P097, 0x61, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x61)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P098, 0x62, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x62)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P099, 0x63, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x63)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P100, 0x64, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x64)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P101, 0x65, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x65)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P102, 0x66, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x66)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P103, 0x67, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x67)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P104, 0x68, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x68)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P105, 0x69, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x69)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P106, 0x6A, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x6A)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P107, 0x6B, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x6B)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P108, 0x6C, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x6C)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P109, 0x6D, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x6D)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P110, 0x6E, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x6E)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P111, 0x6F, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x6F)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P112, 0x70, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x70)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P113, 0x71, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x71)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P114, 0x72, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x72)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P115, 0x73, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x73)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P116, 0x74, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x74)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P117, 0x75, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x75)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P118, 0x76, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x76)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P119, 0x77, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x77)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P120, 0x78, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x78)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P121, 0x79, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x79)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P122, 0x7A, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x7A)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P123, 0x7B, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x7B)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P124, 0x7C, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x7C)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P125, 0x7D, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x7D)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P126, 0x7E, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x7E)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P127, 0x7F, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x7F)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Processor (P128, 0x80, 0x00000000, 0x00)
+        {
+            Name (PNUM, 0x80)
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Return (PSTA (PNUM))
+            }
+        }
+
+        Scope (PCI0)
+        {
+            Name (CRS, ResourceTemplate ()
+            {
+                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
+                    0x0000000000000000, // Granularity
+                    0x000000AAAAAAAAAA, // Range Minimum
+                    0x000000AAAAAAAAAB, // Range Maximum
+                    0x0000000000000000, // Translation Offset
+                    0x000000AAAAAAAAAC, // Length
+                    ,, _Y13, AddressRangeMemory, TypeStatic)
+                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
+                    0x0000000000000000, // Granularity
+                    0x0000007C80000000, // Range Minimum
+                    0x0000007CFFFFFFFF, // Range Maximum
+                    0x0000000000000000, // Translation Offset
+                    0x0000000080000000, // Length
+                    ,, , AddressRangeMemory, TypeStatic)
+                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
+                    0x0000000000000000, // Granularity
+                    0x0000007D00000000, // Range Minimum
+                    0x0000007D7FFFFFFF, // Range Maximum
+                    0x0000000000000000, // Translation Offset
+                    0x0000000080000000, // Length
+                    ,, , AddressRangeMemory, TypeStatic)
+                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
+                    0x0000000000000000, // Granularity
+                    0x0000007D80000000, // Range Minimum
+                    0x0000007DFFFFFFFF, // Range Maximum
+                    0x0000000000000000, // Translation Offset
+                    0x0000000080000000, // Length
+                    ,, , AddressRangeMemory, TypeStatic)
+                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
+                    0x0000000000000000, // Granularity
+                    0x0000007E00000000, // Range Minimum
+                    0x0000007E7FFFFFFF, // Range Maximum
+                    0x0000000000000000, // Translation Offset
+                    0x0000000080000000, // Length
+                    ,, , AddressRangeMemory, TypeStatic)
+                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
+                    0x0000000000000000, // Granularity
+                    0x0000007E80000000, // Range Minimum
+                    0x0000007EFFFFFFFF, // Range Maximum
+                    0x0000000000000000, // Translation Offset
+                    0x0000000080000000, // Length
+                    ,, , AddressRangeMemory, TypeStatic)
+                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
+                    0x0000000000000000, // Granularity
+                    0x0000007F00000000, // Range Minimum
+                    0x0000007F7FFFFFFF, // Range Maximum
+                    0x0000000000000000, // Translation Offset
+                    0x0000000080000000, // Length
+                    ,, , AddressRangeMemory, TypeStatic)
+                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
+                    0x0000000000000000, // Granularity
+                    0x0000007F80000000, // Range Minimum
+                    0x0000007FFFFFFFFF, // Range Maximum
+                    0x0000000000000000, // Translation Offset
+                    0x0000000080000000, // Length
+                    ,, , AddressRangeMemory, TypeStatic)
+                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
+                    0x0000000000000000, // Granularity
+                    0x0000008000000000, // Range Minimum
+                    0x000000807FFFFFFF, // Range Maximum
+                    0x0000000000000000, // Translation Offset
+                    0x0000000080000000, // Length
+                    ,, , AddressRangeMemory, TypeStatic)
+                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
+                    0x0000000000000000, // Granularity
+                    0x0000008080000000, // Range Minimum
+                    0x00000080FFFFFFFF, // Range Maximum
+                    0x0000000000000000, // Translation Offset
+                    0x0000000080000000, // Length
+                    ,, , AddressRangeMemory, TypeStatic)
+                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
+                    0x0000000000000000, // Granularity
+                    0x0000008100000000, // Range Minimum
+                    0x000000817FFFFFFF, // Range Maximum
+                    0x0000000000000000, // Translation Offset
+                    0x0000000080000000, // Length
+                    ,, , AddressRangeMemory, TypeStatic)
+                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
+                    0x0000000000000000, // Granularity
+                    0x0000008180000000, // Range Minimum
+                    0x00000081FFFFFFFF, // Range Maximum
+                    0x0000000000000000, // Translation Offset
+                    0x0000000080000000, // Length
+                    ,, , AddressRangeMemory, TypeStatic)
+                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
+                    0x0000000000000000, // Granularity
+                    0x0000008200000000, // Range Minimum
+                    0x000000827FFFFFFF, // Range Maximum
+                    0x0000000000000000, // Translation Offset
+                    0x0000000080000000, // Length
+                    ,, , AddressRangeMemory, TypeStatic)
+                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
+                    0x0000000000000000, // Granularity
+                    0x0000008280000000, // Range Minimum
+                    0x00000082FFFFFFFF, // Range Maximum
+                    0x0000000000000000, // Translation Offset
+                    0x0000000080000000, // Length
+                    ,, , AddressRangeMemory, TypeStatic)
+                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
+                    0x0000000000000000, // Granularity
+                    0x0000008300000000, // Range Minimum
+                    0x000000837FFFFFFF, // Range Maximum
+                    0x0000000000000000, // Translation Offset
+                    0x0000000080000000, // Length
+                    ,, , AddressRangeMemory, TypeStatic)
+                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
+                    0x0000000000000000, // Granularity
+                    0x0000008380000000, // Range Minimum
+                    0x00000083FFFFFFFF, // Range Maximum
+                    0x0000000000000000, // Translation Offset
+                    0x0000000080000000, // Length
+                    ,, , AddressRangeMemory, TypeStatic)
+                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
+                    0x0000000000000000, // Granularity
+                    0x0000008400000000, // Range Minimum
+                    0x000000847FFFFFFF, // Range Maximum
+                    0x0000000000000000, // Translation Offset
+                    0x0000000080000000, // Length
+                    ,, , AddressRangeMemory, TypeStatic)
+                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
+                    0x0000000000000000, // Granularity
+                    0x0000008480000000, // Range Minimum
+                    0x00000084FFFFFFFF, // Range Maximum
+                    0x0000000000000000, // Translation Offset
+                    0x0000000080000000, // Length
+                    ,, , AddressRangeMemory, TypeStatic)
+                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
+                    0x0000000000000000, // Granularity
+                    0x0000008500000000, // Range Minimum
+                    0x000000857FFFFFFF, // Range Maximum
+                    0x0000000000000000, // Translation Offset
+                    0x0000000080000000, // Length
+                    ,, , AddressRangeMemory, TypeStatic)
+                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
+                    0x0000000000000000, // Granularity
+                    0x0000008580000000, // Range Minimum
+                    0x00000085FFFFFFFF, // Range Maximum
+                    0x0000000000000000, // Translation Offset
+                    0x0000000080000000, // Length
+                    ,, , AddressRangeMemory, TypeStatic)
+                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
+                    0x0000000000000000, // Granularity
+                    0x0000008600000000, // Range Minimum
+                    0x000000867FFFFFFF, // Range Maximum
+                    0x0000000000000000, // Translation Offset
+                    0x0000000080000000, // Length
+                    ,, , AddressRangeMemory, TypeStatic)
+                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
+                    0x0000000000000000, // Granularity
+                    0x0000008680000000, // Range Minimum
+                    0x00000086FFFFFFFF, // Range Maximum
+                    0x0000000000000000, // Translation Offset
+                    0x0000000080000000, // Length
+                    ,, , AddressRangeMemory, TypeStatic)
+                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
+                    0x0000000000000000, // Granularity
+                    0x0000008700000000, // Range Minimum
+                    0x000000877FFFFFFF, // Range Maximum
+                    0x0000000000000000, // Translation Offset
+                    0x0000000080000000, // Length
+                    ,, , AddressRangeMemory, TypeStatic)
+                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
+                    0x0000000000000000, // Granularity
+                    0x0000008780000000, // Range Minimum
+                    0x00000087FFFFFFFF, // Range Maximum
+                    0x0000000000000000, // Translation Offset
+                    0x0000000080000000, // Length
+                    ,, , AddressRangeMemory, TypeStatic)
+                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
+                    0x0000000000000000, // Granularity
+                    0x0000008800000000, // Range Minimum
+                    0x000000887FFFFFFF, // Range Maximum
+                    0x0000000000000000, // Translation Offset
+                    0x0000000080000000, // Length
+                    ,, , AddressRangeMemory, TypeStatic)
+                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
+                    0x0000000000000000, // Granularity
+                    0x0000008880000000, // Range Minimum
+                    0x00000088FFFFFFFF, // Range Maximum
+                    0x0000000000000000, // Translation Offset
+                    0x0000000080000000, // Length
+                    ,, , AddressRangeMemory, TypeStatic)
+                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
+                    0x0000000000000000, // Granularity
+                    0x0000008900000000, // Range Minimum
+                    0x000000897FFFFFFF, // Range Maximum
+                    0x0000000000000000, // Translation Offset
+                    0x0000000080000000, // Length
+                    ,, , AddressRangeMemory, TypeStatic)
+                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
+                    0x0000000000000000, // Granularity
+                    0x0000008980000000, // Range Minimum
+                    0x00000089FFFFFFFF, // Range Maximum
+                    0x0000000000000000, // Translation Offset
+                    0x0000000080000000, // Length
+                    ,, , AddressRangeMemory, TypeStatic)
+                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
+                    0x0000000000000000, // Granularity
+                    0x0000008A00000000, // Range Minimum
+                    0x0000008A7FFFFFFF, // Range Maximum
+                    0x0000000000000000, // Translation Offset
+                    0x0000000080000000, // Length
+                    ,, , AddressRangeMemory, TypeStatic)
+                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
+                    0x0000000000000000, // Granularity
+                    0x0000008A80000000, // Range Minimum
+                    0x0000008AFFFFFFFF, // Range Maximum
+                    0x0000000000000000, // Translation Offset
+                    0x0000000080000000, // Length
+                    ,, , AddressRangeMemory, TypeStatic)
+                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
+                    0x0000000000000000, // Granularity
+                    0x0000008B00000000, // Range Minimum
+                    0x0000008B7FFFFFFF, // Range Maximum
+                    0x0000000000000000, // Translation Offset
+                    0x0000000080000000, // Length
+                    ,, , AddressRangeMemory, TypeStatic)
+                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
+                    0x0000000000000000, // Granularity
+                    0x000000AAAAAAAAAA, // Range Minimum
+                    0x000000AAAAAAAAAB, // Range Maximum
+                    0x0000000000000000, // Translation Offset
+                    0x000000AAAAAAAAAC, // Length
+                    ,, , AddressRangeMemory, TypeStatic)
+                WordBusNumber (ResourceProducer, MinFixed, MaxFixed, PosDecode,
+                    0x0000,             // Granularity
+                    0x0000,             // Range Minimum
+                    0x00FF,             // Range Maximum
+                    0x0000,             // Translation Offset
+                    0x0100,             // Length
+                    ,, )
+                IO (Decode16,
+                    0x0CF8,             // Range Minimum
+                    0x0CF8,             // Range Maximum
+                    0x01,               // Alignment
+                    0x08,               // Length
+                    )
+                WordIO (ResourceProducer, MinFixed, MaxFixed, PosDecode, EntireRange,
+                    0x0000,             // Granularity
+                    0x0000,             // Range Minimum
+                    0x0CF7,             // Range Maximum
+                    0x0000,             // Translation Offset
+                    0x0CF8,             // Length
+                    ,, , TypeStatic, DenseTranslation)
+                WordIO (ResourceProducer, MinFixed, MaxFixed, PosDecode, EntireRange,
+                    0x0000,             // Granularity
+                    0x0D00,             // Range Minimum
+                    0xFFFF,             // Range Maximum
+                    0x0000,             // Translation Offset
+                    0xF300,             // Length
+                    ,, , TypeStatic, DenseTranslation)
+                DWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
+                    0x00000000,         // Granularity
+                    0x000A0000,         // Range Minimum
+                    0x000BFFFF,         // Range Maximum
+                    0x00000000,         // Translation Offset
+                    0x00020000,         // Length
+                    ,, , AddressRangeMemory, TypeStatic)
+                DWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
+                    0x00000000,         // Granularity
+                    0x00000000,         // Range Minimum
+                    0x00000000,         // Range Maximum
+                    0x00000000,         // Translation Offset
+                    0x00000000,         // Length
+                    ,, _Y11, AddressRangeMemory, TypeStatic)
+                DWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
+                    0x00000000,         // Granularity
+                    0x00000000,         // Range Minimum
+                    0x00000000,         // Range Maximum
+                    0x00000000,         // Translation Offset
+                    0x00000000,         // Length
+                    ,, _Y12, AddressRangeMemory, TypeStatic)
+            })
+            CreateDWordField (CRS, \_SB.PCI0._Y11._MIN, MIN5)  // _MIN: Minimum Base Address
+            CreateDWordField (CRS, \_SB.PCI0._Y11._MAX, MAX5)  // _MAX: Maximum Base Address
+            CreateDWordField (CRS, \_SB.PCI0._Y11._LEN, LEN5)  // _LEN: Length
+            CreateDWordField (CRS, \_SB.PCI0._Y12._MIN, MIN6)  // _MIN: Minimum Base Address
+            CreateDWordField (CRS, \_SB.PCI0._Y12._MAX, MAX6)  // _MAX: Maximum Base Address
+            CreateDWordField (CRS, \_SB.PCI0._Y12._LEN, LEN6)  // _LEN: Length
+            Method (_INI, 0, NotSerialized)  // _INI: Initialize
+            {
+                If (MCTH (\_OS, "Microsoft Windows NT"))
+                {
+                    OSFL = 0x00
+                }
+
+                MIN5 = MG1B /* \MG1B */
+                LEN5 = MG1L /* \MG1L */
+                Local0 = MG1L /* \MG1L */
+                If (Local0)
+                {
+                    MAX5 = (MIN5 + Local0--)
+                }
+
+                MIN6 = MG2B /* \MG2B */
+                LEN6 = MG2L /* \MG2L */
+                Local0 = MG2L /* \MG2L */
+                MAX6 = (MIN6 + Local0--)
+                If ((WIN6 == 0x00))
+                {
+                    Local0 = 0x20
+                    Local1 = 0x00
+                    While (Local0)
+                    {
+                        CRS [Local1] = 0x84
+                        Local1 += 0x2E
+                        Local0--
+                    }
+
+                    Return (Name (TBUF, Buffer (0x28)
+                    {
+                        /* 0000 */  0xAA, 0xBB, 0xCC, 0xDD, 0xEE, 0xFF, 0x11, 0x22,  /* ......." */
+                        /* 0008 */  0xAA, 0xBB, 0xCC, 0xDD, 0xEE, 0xFF, 0x33, 0x44,  /* ......3D */
+                        /* 0010 */  0xAA, 0xBB, 0xCC, 0xDD, 0xEE, 0xFF, 0x55, 0x66,  /* ......Uf */
+                        /* 0018 */  0xAA, 0xBB, 0xCC, 0xDD, 0xEE, 0xFF, 0x77, 0x88,  /* ......w. */
+                        /* 0020 */  0xAA, 0xBB, 0xCC, 0xDD                           /* .... */
+                    }))
+                }
+
+                CreateQWordField (TBUF, 0x00, RMIN)
+                CreateDWordField (TBUF, 0x00, RMNL)
+                CreateDWordField (TBUF, 0x04, RMNH)
+                CreateQWordField (TBUF, 0x08, RMAX)
+                CreateQWordField (TBUF, 0x10, VSTR)
+                CreateDWordField (TBUF, 0x10, VSTL)
+                CreateDWordField (TBUF, 0x14, VSTH)
+                CreateByteField (TBUF, 0x10, VST0)
+                CreateByteField (TBUF, 0x11, VST1)
+                CreateByteField (TBUF, 0x12, VST2)
+                CreateByteField (TBUF, 0x13, VST3)
+                CreateByteField (TBUF, 0x14, VST4)
+                CreateByteField (TBUF, 0x15, VST5)
+                CreateByteField (TBUF, 0x16, VST6)
+                CreateByteField (TBUF, 0x17, VST7)
+                CreateQWordField (TBUF, 0x18, TLEN)
+                CreateDWordField (TBUF, 0x18, TLNL)
+                CreateDWordField (TBUF, 0x1C, TLNH)
+                CreateDWordField (TBUF, 0x20, RLEN)
+                VSTR = HMIB /* \HMIB */
+                Local2 = (VSTL >> 0x0C)
+                VSTL <<= 0x14
+                VSTH <<= 0x14
+                VSTH |= Local2
+                RMIN = VSTR /* \_SB_.PCI0._INI.VSTR */
+                VSTR = HMIL /* \HMIL */
+                VSTL++
+                Local2 = (VSTL >> 0x0C)
+                VSTL <<= 0x14
+                VSTH <<= 0x14
+                VSTH |= Local2
+                If ((VSTL == 0x00))
+                {
+                    VSTH--
+                }
+
+                VSTL--
+                TLEN = VSTR /* \_SB_.PCI0._INI.VSTR */
+                Local0 = 0x20
+                Local1 = 0x00
+                If ((WINB == 0x00))
+                {
+                    While (Local0)
+                    {
+                        VSTR = TLEN /* \_SB_.PCI0._INI.TLEN */
+                        If (((VSTL == 0x00) && (VSTH == 0x00)))
+                        {
+                            CRS [Local1] = 0x84
+                        }
+                        Else
+                        {
+                            VSTR = RMIN /* \_SB_.PCI0._INI.RMIN */
+                            CRS [(Local1 + 0x0E)] = VST0 /* \_SB_.PCI0._INI.VST0 */
+                            CRS [(Local1 + 0x0F)] = VST1 /* \_SB_.PCI0._INI.VST1 */
+                            CRS [(Local1 + 0x10)] = VST2 /* \_SB_.PCI0._INI.VST2 */
+                            CRS [(Local1 + 0x11)] = VST3 /* \_SB_.PCI0._INI.VST3 */
+                            CRS [(Local1 + 0x12)] = VST4 /* \_SB_.PCI0._INI.VST4 */
+                            CRS [(Local1 + 0x13)] = VST5 /* \_SB_.PCI0._INI.VST5 */
+                            CRS [(Local1 + 0x14)] = VST6 /* \_SB_.PCI0._INI.VST6 */
+                            CRS [(Local1 + 0x15)] = VST7 /* \_SB_.PCI0._INI.VST7 */
+                            VSTR = TLEN /* \_SB_.PCI0._INI.TLEN */
+                            If (((VSTH == 0x00) && (VSTL < 0x80000000)))
+                            {
+                                RLEN = VSTL /* \_SB_.PCI0._INI.VSTL */
+                            }
+                            Else
+                            {
+                                RLEN = 0x80000000
+                            }
+
+                            If (((Local2 = (VSTL - RLEN)) /* \_SB_.PCI0._INI.RLEN */ > VSTL))
+                            {
+                                VSTH--
+                            }
+
+                            VSTL = Local2
+                            TLEN = VSTR /* \_SB_.PCI0._INI.VSTR */
+                            VSTR = RMIN /* \_SB_.PCI0._INI.RMIN */
+                            If (((Local2 = (VSTL + RLEN)) /* \_SB_.PCI0._INI.RLEN */ < VSTL))
+                            {
+                                VSTH++
+                            }
+
+                            VSTL = Local2
+                            RMIN = VSTR /* \_SB_.PCI0._INI.VSTR */
+                            If (((Local2 = (VSTL - 0x01)) > VSTL))
+                            {
+                                VSTH--
+                            }
+
+                            VSTL = Local2
+                            RMAX = VSTR /* \_SB_.PCI0._INI.VSTR */
+                            VSTR = RMAX /* \_SB_.PCI0._INI.RMAX */
+                            CRS [(Local1 + 0x16)] = VST0 /* \_SB_.PCI0._INI.VST0 */
+                            CRS [(Local1 + 0x17)] = VST1 /* \_SB_.PCI0._INI.VST1 */
+                            CRS [(Local1 + 0x18)] = VST2 /* \_SB_.PCI0._INI.VST2 */
+                            CRS [(Local1 + 0x19)] = VST3 /* \_SB_.PCI0._INI.VST3 */
+                            CRS [(Local1 + 0x1A)] = VST4 /* \_SB_.PCI0._INI.VST4 */
+                            CRS [(Local1 + 0x1B)] = VST5 /* \_SB_.PCI0._INI.VST5 */
+                            CRS [(Local1 + 0x1C)] = VST6 /* \_SB_.PCI0._INI.VST6 */
+                            CRS [(Local1 + 0x1D)] = VST7 /* \_SB_.PCI0._INI.VST7 */
+                            VSTR = RLEN /* \_SB_.PCI0._INI.RLEN */
+                            CRS [(Local1 + 0x26)] = VST0 /* \_SB_.PCI0._INI.VST0 */
+                            CRS [(Local1 + 0x27)] = VST1 /* \_SB_.PCI0._INI.VST1 */
+                            CRS [(Local1 + 0x28)] = VST2 /* \_SB_.PCI0._INI.VST2 */
+                            CRS [(Local1 + 0x29)] = VST3 /* \_SB_.PCI0._INI.VST3 */
+                            CRS [(Local1 + 0x2A)] = VST4 /* \_SB_.PCI0._INI.VST4 */
+                            CRS [(Local1 + 0x2B)] = VST5 /* \_SB_.PCI0._INI.VST5 */
+                            CRS [(Local1 + 0x2C)] = VST6 /* \_SB_.PCI0._INI.VST6 */
+                            CRS [(Local1 + 0x2D)] = VST7 /* \_SB_.PCI0._INI.VST7 */
+                        }
+
+                        Local1 += 0x2E
+                        Local0--
+                    }
+                }
+                Else
+                {
+                    CreateQWordField (CRS, \_SB.PCI0._Y13._MIN, MIN7)  // _MIN: Minimum Base Address
+                    CreateQWordField (CRS, \_SB.PCI0._Y13._MAX, MAX7)  // _MAX: Maximum Base Address
+                    CreateQWordField (CRS, \_SB.PCI0._Y13._LEN, LEN7)  // _LEN: Length
+                    MIN7 = RMIN /* \_SB_.PCI0._INI.RMIN */
+                    VSTH = (TLNH + RMNH) /* \_SB_.PCI0._INI.RMNH */
+                    VSTL = (TLNL + RMNL) /* \_SB_.PCI0._INI.RMNL */
+                    If ((RMNL > VSTL))
+                    {
+                        VSTH++
+                    }
+
+                    MAX7 = VSTR /* \_SB_.PCI0._INI.VSTR */
+                    LEN7 = TLEN /* \_SB_.PCI0._INI.TLEN */
+                    Local0--
+                    While (Local0)
+                    {
+                        Local1 += 0x2E
+                        CRS [Local1] = 0x84
+                        Local0--
+                    }
+                }
+            }
+
+            Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
+            {
                 Return (CRS) /* \_SB_.PCI0.CRS_ */
             }
         }
